#include <stdio.h>
#include <sys/stat.h>
main(int argc, char **argv)
{
struct stat st;
if (argc!=2) {
	fprintf(stderr, "usage: %s filename\n", argv[0]);
	exit(1);
}
if (stat(argv[1], &st)) {
	perror("stat");
	exit(1);
}
if (st.st_size > 65535) {
	fprintf(stderr, "File too large. Make it smaller or improve bootcode.S\n");
	exit(1);
}
printf("%d", st.st_size);
return 0;
}

